/******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// identity function for calling harmony imports with the correct context
/******/ 	__webpack_require__.i = function(value) { return value; };
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, {
/******/ 				configurable: false,
/******/ 				enumerable: true,
/******/ 				get: getter
/******/ 			});
/******/ 		}
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "/__ASSETS__/scripts/bundle/";
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = 213);
/******/ })
/************************************************************************/
/******/ ({

/***/ 213:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


var getContentOrigin = function getContentOrigin() {
  var _window$location = window.location,
      protocol = _window$location.protocol,
      host = _window$location.host;

  return protocol + '//' + host;
};

var dispatch = function dispatch(type, payload) {
  window.parent.postMessage({ type: type, payload: payload }, getContentOrigin());
};

var handlers = {
  styles: function styles(payload) {
    var link = document.querySelector('link');
    link.href = link.href.replace(/(.+?)(\?.+)?$/, function (match, url) {
      return url + '?cache=' + payload.styles;
    });
  },
  bgColor: function bgColor(payload) {
    var preview = document.getElementById('preview');
    preview.style.backgroundColor = payload.color;
  },
  markup: function markup(payload) {
    var preview = document.getElementById('preview');
    preview.setAttribute('style', 'padding: 0.5rem;');
    preview.innerHTML = payload.markup;
    dispatch('iframe:height', {
      id: payload.id,
      height: preview.clientHeight
    });
  }
};

window.addEventListener('message', function (e) {
  var _e$data = e.data,
      type = _e$data.type,
      payload = _e$data.payload;

  var handler = handlers[type];
  if (typeof handler === 'function') {
    handler(payload);
  }
});

/***/ })

/******/ });